Java vesion 1.5 upgrade question

I am using Webmethods 7.1.2 and Java version 1.5
I want to upgrade only Java 1.5 to 1.7 not Webmethods.
If I want to use Java 1.7, should I upgrade both Webmethods(7.1.2 -> 9.x? ) and Java? Or is it possible to use Java version 1.7 with Webmethods 7.1.2? help me plz.

Hi Merry,

there is a possibility to update Java for webMethods 7.1.x from Java 5 to Java 6 by using SoftwareAG UpdateManager (SUM).

You will find an appropiate Fix set in there. Please read the accompanying Readme carefully for not to miss important modifications in the IS and MWS configurations.

If you want to use Java 7 you should upgrade your wM to 7.1.3 with latest Fixes and then migrate to 9.5 SP1 afterwards.

From there you can migrate to any newer wM 9.x whenever you want.
wM 9.10 just went GA yesterday (18.04.2016).

Regards.
Holger